package cn.com.ty.lift.system.wechat.constants;

/**
 * @author huangyuan
 * @date 2019-12-30
 * @description 微信常量
 */
public class WxConstants {

    /**
     * 小程序登录
     */
    public static final String APPLET_LOGIN = "appletLogin";

    /**
     * app登录
     */
    public static final String APP_LOGIN = "appLogin";

    /**
     * 用户授权路径
     */
    public static final String USER_INFO_ACCESS_TOKEN_URL = "https://api.weixin.qq.com/sns/oauth2/access_token?"
            + "appid=APPID&secret=SECRET&code=CODE&grant_type=authorization_code";

    /**
     * app登录配置常量
     */
    public interface AppConfigConstants {
        /**
         * appId
         */
        String APP_ID = "wx0f10e6386fb9969e";
        /**
         * appSecret
         */
        String APP_SECRET = "d4624c36b6795d1d99dcf0547af5443d";
    }

    /**
     * 小程序登录配置常量
     */
    public interface AppletConfigConstants {
        /**
         * 小程序appId
         */
        String APP_ID = "wx9183e5fa00c9614a";
        /**
         * 小程序secret
         */
        String APP_SECRET = "2e4c634a4f1f54a871e79da9d6f1179e";
    }

}
